---
name: Lucas Charles
locality: Portland, OR
country: USA
role: <a href="/job-families/engineering/backend-engineer/#secure">Staff Backend Engineer,
  Secure:Static Analysis</a>
reports_to: thomaswoodham
picture: lucascharles.jpg
twitter: theoretick
linkedin: lucasgcharles
gitlab: theoretick
departments:
- Engineering Function
- Development Department
- Sec Section
- Secure:Static Analysis BE Team
projects:
  gitlab:
    - reviewer backend
    - reviewer ci_template
  gitlab-technical-interviews-backend: maintainer
  secure-analyzers: reviewer go
  secure-common-command: maintainer backend
  secure-common-report: maintainer backend
  secure-common-ruleset: maintainer backend
  secure-SAST-bandit: trainee_maintainer backend
  secure-SAST-brakeman: trainee_maintainer backend
  secure-SAST-eslint: maintainer backend
  secure-SAST-flawfinder: trainee_maintainer backend
  secure-SAST-gosec: maintainer backend
  secure-SAST-kubesec: maintainer backend
  secure-SAST-mobsf: trainee_maintainer backend
  secure-SAST-nodejs-scan: trainee_maintainer backend
  secure-SAST-phpcs-security-audit: trainee_maintainer backend
  secure-SAST-pmd-apex: trainee_maintainer backend
  secure-SAST-security-code-scan: trainee_maintainer backend
  secure-SAST-semgrep: trainee_maintainer backend
  secure-SAST-sobelow: maintainer backend
  secure-SAST-spotbugs: maintainer backend
  secure-SAST-tracking-calculator: maintainer backend
  secure-SD-secrets: trainee_maintainer backend
  sec-danger-bot: maintainer backend
pronouns: he/him
pronunciation: <a href="http://ipa-reader.xyz/?text=%CB%88lu.k%C9%90s%20t%CA%83%C9%91%C9%B9lz">/ˈlu.kɐs
  tʃɑɹlz/ (audio link)</a>
story: |
  Lucas likes building tools to build more tools. He joined GitLab in 2019 after passionately
  using their products for many years.

  When not coding, Lucas is living in the Pacific Northwest, brewing his own beer, camping,
  hiking, practicing his handstands, and making too many jokes.
expertise: '<li><a href="https://docs.gitlab.com/ee/topics/airgap">Offline Security
  Scans</a> <a href="/company/team/structure/#expert">expert</a></li>

  '
domain_expertise:
- secure
specialty: Static Analysis

